Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate3.support
Class BlobByteArrayType

    java.lang.Object
      org.springframework.orm.hibernate3.support.AbstractLobType
          org.springframework.orm.hibernate3.support.BlobByteArrayType

All Implemented Interfaces:
  org.hibernate.usertype.UserType

    public class BlobByteArrayType

extends AbstractLobType

Hibernate UserType implementation for byte arrays that get mapped to BLOBs. Retrieves the LobHandler to use from LocalSessionFactoryBean at config time.

Can also be defined in generic Hibernate mappings, as DefaultLobCreator will work with most JDBC-compliant database drivers. In this case, the field type does not have to be BLOB: For databases like MySQL and MS SQL Server, any large enough binary type will work.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `LocalSessionFactoryBean.setLobHandler(org.springframework.jdbc.support.lob.LobHandler)`

Field Summary

Fields inherited from class org.springframework.orm.hibernate3.support.AbstractLobType
`logger`

Constructor Summary
`` | `BlobByteArrayType()` Constructor used by Hibernate: fetches config-time LobHandler and config-time JTA TransactionManager from LocalSessionFactoryBean.
`protected` | `BlobByteArrayType(LobHandler lobHandler, javax.transaction.TransactionManager jtaTransactionManager)` Constructor used for testing: takes an explicit LobHandler and an explicit JTA TransactionManager (can be `null`).

Method Summary
`java.lang.Object` | `deepCopy(java.lang.Object value)` This implementation returns the passed-in value as-is.
`boolean` | `equals(java.lang.Object x, java.lang.Object y)` This implementation delegates to the Hibernate EqualsHelper.
`boolean` | `isMutable()` This implementation returns false.
`protected java.lang.Object` | `nullSafeGetInternal(java.sql.ResultSet rs, java.lang.String[] names, java.lang.Object owner, LobHandler lobHandler)` Template method to extract a value from the given result set.
`protected void` | `nullSafeSetInternal(java.sql.PreparedStatement ps, int index, java.lang.Object value, LobCreator lobCreator)` Template method to set the given parameter value on the given statement.
`java.lang.Class` | `returnedClass()`
`int[]` | `sqlTypes()`

Methods inherited from class org.springframework.orm.hibernate3.support.AbstractLobType
`assemble, disassemble, hashCode, nullSafeGet, nullSafeSet, replace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlobByteArrayType

    public BlobByteArrayType()

  Constructor used by Hibernate: fetches config-time LobHandler and config-time JTA TransactionManager from LocalSessionFactoryBean.

  See Also:
    `LocalSessionFactoryBean.getConfigTimeLobHandler()`, `LocalSessionFactoryBean.getConfigTimeTransactionManager()`

### BlobByteArrayType

    protected BlobByteArrayType(LobHandler lobHandler,
                                javax.transaction.TransactionManager jtaTransactionManager)

  Constructor used for testing: takes an explicit LobHandler and an explicit JTA TransactionManager (can be `null`).

Method Detail

### sqlTypes

    public int[] sqlTypes()

### returnedClass

    public java.lang.Class returnedClass()

### isMutable

    public boolean isMutable()

  Description copied from class: `AbstractLobType`
  This implementation returns false.

  Specified by:
    `isMutable` in interface `org.hibernate.usertype.UserType`
  Overrides:
    `isMutable` in class `AbstractLobType`

### equals

    public boolean equals(java.lang.Object x,
                          java.lang.Object y)

  Description copied from class: `AbstractLobType`
  This implementation delegates to the Hibernate EqualsHelper.

  Specified by:
    `equals` in interface `org.hibernate.usertype.UserType`
  Overrides:
    `equals` in class `AbstractLobType`
  See Also:
    `EqualsHelper.equals(java.lang.Object, java.lang.Object)`

### deepCopy

    public java.lang.Object deepCopy(java.lang.Object value)

  Description copied from class: `AbstractLobType`
  This implementation returns the passed-in value as-is.

  Specified by:
    `deepCopy` in interface `org.hibernate.usertype.UserType`
  Overrides:
    `deepCopy` in class `AbstractLobType`

### nullSafeGetInternal

    protected java.lang.Object nullSafeGetInternal(java.sql.ResultSet rs,
                                                   java.lang.String[] names,
                                                   java.lang.Object owner,
                                                   LobHandler lobHandler)
                                            throws java.sql.SQLException

  Description copied from class: `AbstractLobType`
  Template method to extract a value from the given result set.

  Specified by:
    `nullSafeGetInternal` in class `AbstractLobType`
  Parameters:
    `rs` - the ResultSet to extract from
    `names` - the column names
    `owner` - the containing entity
    `lobHandler` - the LobHandler to use
  Returns:
    the extracted value
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods

### nullSafeSetInternal

    protected void nullSafeSetInternal(java.sql.PreparedStatement ps,
                                       int index,
                                       java.lang.Object value,
                                       LobCreator lobCreator)
                                throws java.sql.SQLException

  Description copied from class: `AbstractLobType`
  Template method to set the given parameter value on the given statement.

  Specified by:
    `nullSafeSetInternal` in class `AbstractLobType`
  Parameters:
    `ps` - the PreparedStatement to set on
    `index` - the statement parameter index
    `value` - the value to set
    `lobCreator` - the LobCreator to use
  Throws:
    `java.sql.SQLException` - if thrown by JDBC methods

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD